> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/73.-query-ottieni-dati-grigliati-con-il-buffer-selezionato.md).

# 73. Query: ottieni dati grigliati con il buffer selezionato

Query per ottenere dati rasterizzati dai dataset come "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" con il buffer selezionato.

{% hint style="danger" %}
Si consiglia di recuperare solo un singolo dataset con `sourceDataUrl` per richiesta.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, e `MinusTwoPixels` sono disponibili come un `buffer`.

{% hint style="danger" %}
`sourceDataUrl` il link è accessibile solo per **60 sec.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nome
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nome
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/73.-query-ottieni-dati-grigliati-con-il-buffer-selezionato.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
